Re: cvs commit: src/sbin/geom/class/eli geli.8 geom_eli.c src/tools/regression/geom_eli init-a.t init-i-P.t init.t integrity-copy.t integrity-data.t integrity-hmac.t nokey.t onetime-a.t onetime.t src/sys/geom/eli g_eli.c g_eli.h g_eli_ctl.c ...

From: Henrik Brix Andersen <henrik_at_brixandersen.dk>
Date: Thu, 14 Sep 2006 13:40:36 +0200
On Mon, Sep 04, 2006 at 03:26:05PM +0000, Pawel Jakub Dawidek wrote:
> pjd         2006-09-04 15:26:05 UTC
> 
>   FreeBSD src repository
> 
>   Modified files:        (Branch: RELENG_6)
>     sbin/geom/class/eli  geli.8 geom_eli.c 
>     tools/regression/geom_eli init.t onetime.t 
>     sys/geom/eli         g_eli.c g_eli.h g_eli_ctl.c g_eli_key.c 
>     sys/modules/geom/geom_eli Makefile 
>   Added files:           (Branch: RELENG_6)
>     tools/regression/geom_eli init-a.t init-i-P.t integrity-copy.t 
>                               integrity-data.t integrity-hmac.t 
>                               nokey.t onetime-a.t 
>     sys/geom/eli         g_eli_integrity.c g_eli_privacy.c 
>   Log:
>   MFC:    Synchronize geli(8) with HEAD version.

Shouldn't the $geli_swap_flags variable in /etc/defaults/rc.conf be
updated with s/-a/-e/ along with this change?

Currently, I get the following warning when /etc/rc.d/encswap prepares
my geli(8) encrypted swap device:

GEOM_ELI: Device ad0s1b.eli created.
GEOM_ELI: Encryption: AES-CBC 256
GEOM_ELI:     Crypto: software
warning: The -e option, not the -a option is now used to specify encryption algorithm to use.

Regards,
Brix
-- 
Henrik Brix Andersen <henrik_at_brixandersen.dk>

Received on Thu Sep 14 2006 - 11:40:56 UTC